org.appng.api

## Class MessageConstants

- java.lang.Object
- - org.appng.api.MessageConstants

-     public class MessageConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTIONS` Actions
    `static String` | `ASC` ascending
    `static String` | `BACK` Back
    `static String` | `BACKGROUND_TASK_ERROR` Error while executing background task ''{0}'' (ID: {1}), please contact your administrator.
    `static String` | `BACKGROUND_TASK_FINISHED` Background task ''{0}'' finished.
    `static String` | `BACKGROUND_TASK_STARTED` Background task ''{0}'' started.
    `static String` | `CANCEL` Reset
    `static String` | `CHANGE_PASSWORD` Change password
    `static String` | `CLOSE` close
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_ALLOWED_CHAR` Password contains illegal character: ''{0}''
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_HISTORY_VIOLATION` Password must differ from the previous one.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_USERNAME` Password must not contain the username.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_USERNAME_REVERSED` Password must not contain the username in reverse.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_WHITESPACE` Password must not contain spaces/tabs characters.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_CHARACTERISTICS` Password must contain at least one character from {1} of {2} allowed groups.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_DIGIT` Password must contain {0} or more numbers.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_LOWERCASE` Password must contain {0} or more lowercase letters.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_SPECIAL` Password must contain {0} or more special characters.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_UPPERCASE` Password must contain {0} or more uppercase letters.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_TOO_LONG` Password must be at most {0} characters long.
    `static String` | `CONFIGURABLE_PASSWORD_POLICY_TOO_SHORT` Password must be at least {0} characters long.
    `static String` | `COPY_CLIPBOARD` Copy to clipboard
    `static String` | `DATA_SORT` Sort
    `static String` | `DEFAULT_PASSWORD_POLICY_ERROR_MESSAGE` The password should be built up of 6 to 64 characters and must not contain spaces.
    `static String` | `DELETE` Delete
    `static String` | `DESC` descending
    `static String` | `EDIT` Edit
    `static String` | `FALSE` no
    `static String` | `FILTER_RESET` Reset
    `static String` | `FILTER_SUBMIT` Apply
    `static String` | `FILTER_TITLE` Filter
    `static String` | `FORGOT_PASSWORD` Forgot password?
    `static String` | `INTERNAL_ERROR` An internal error occured (ID: {0}), please contact your administrator.
    `static String` | `INVALID_DATE` Please enter a valid date
    `static String` | `INVALID_DIGIT` Please enter a valid digit
    `static String` | `INVALID_FORMAT` Please use this format: {0}
    `static String` | `INVALID_INPUT` Invalid input
    `static String` | `INVALID_INTEGER` Please enter a valid integer
    `static String` | `LABEL_CHUNK_SIZE` Items per Page
    `static String` | `LABEL_FIRST` first
    `static String` | `LABEL_LAST` last
    `static String` | `LABEL_NEXT` next
    `static String` | `LABEL_NODATA` No data present.
    `static String` | `LABEL_OF` of
    `static String` | `LABEL_PREVIOUS` previous
    `static String` | `LOGGED_IN` Logged in as
    `static String` | `LOGIN` Login
    `static String` | `LOGON` Login
    `static String` | `LOGON_AGAIN` Try again
    `static String` | `LOGOUT` Logout
    `static String` | `NO` No
    `static String` | `OLDPASSWORD` Old password
    `static String` | `PASSWORD` Password
    `static String` | `PREVIEW_TEXT` XML preview
    `static String` | `REPOSITORY_ERROR_SIGN` Error while signing repository {0}
    `static String` | `REPOSITORY_ERROR_VERIFY` Error while verifying repository {0}
    `static String` | `RESET` Reset
    `static String` | `RESET_PASSWORD` Reset password
    `static String` | `SAVE` Save
    `static String` | `SELECT` choose
    `static String` | `SITE_DOMAIN_EXISTS` A different site uses domain ''{0}'' already!
    `static String` | `SITE_HOST_IN_USE` Hostname ''{0}'' is already used as hostname or alias by site ''{1}''!
    `static String` | `SITE_HOSTALIAS_IN_USE` The following aliases are used as hostname or alias by site ''{0}'': {1}
    `static String` | `SITE_NAME_EXISTS` A different site named ''{0}'' already exists!
    `static String` | `SUBMIT` Submit
    `static String` | `TRUE` yes
    `static String` | `USER_EDIT` Edit profile
    `static String` | `USERNAME` User
    `static String` | `VALIDATION_DOMAIN` Please enter a valid domain (examples: http://www.example.com example.com localhost:8080)
    `static String` | `VALIDATION_HOST` Please enter a valid host (examples: localhost example.com some.example.com)
    `static String` | `VALIDATION_NAME` Please enter a valid name, which may only consist of letters, numbers, spaces, dots, underscores and hyphens
    `static String` | `VALIDATION_NAME_STRICT` Please enter a valid name, which may only consist of letters, numbers and hyphens
    `static String` | `VALIDATION_PERMISSION` Please enter a valid name, which may only consist of letters, numbers, dots and hyphens
    `static String` | `VALIDATION_USERNAME` The name must either be a valid e-mail address, or consist of letters, digits, dots, underscores and hyphens
    `static String` | `VALIDATION_USERNAME_GROUP` The name must either be a valid e-mail address, or consist of letters, digits, dots, underscores and hyphens or a valid LDAP group reference
    `static String` | `YES` Yes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGURABLE_PASSWORD_POLICY_ALLOWED_CHAR

          public static final String CONFIGURABLE_PASSWORD_POLICY_ALLOWED_CHAR

      Password contains illegal character: ''{0}''
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_HISTORY_VIOLATION

          public static final String CONFIGURABLE_PASSWORD_POLICY_HISTORY_VIOLATION

      Password must differ from the previous one.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_USERNAME

          public static final String CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_USERNAME

      Password must not contain the username.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_USERNAME_REVERSED

          public static final String CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_USERNAME_REVERSED

      Password must not contain the username in reverse.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_WHITESPACE

          public static final String CONFIGURABLE_PASSWORD_POLICY_ILLEGAL_WHITESPACE

      Password must not contain spaces/tabs characters.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_CHARACTERISTICS

          public static final String CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_CHARACTERISTICS

      Password must contain at least one character from {1} of {2} allowed groups.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_DIGIT

          public static final String CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_DIGIT

      Password must contain {0} or more numbers.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_LOWERCASE

          public static final String CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_LOWERCASE

      Password must contain {0} or more lowercase letters.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_SPECIAL

          public static final String CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_SPECIAL

      Password must contain {0} or more special characters. Allowed are {2}
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_UPPERCASE

          public static final String CONFIGURABLE_PASSWORD_POLICY_INSUFFICIENT_UPPERCASE

      Password must contain {0} or more uppercase letters.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_TOO_LONG

          public static final String CONFIGURABLE_PASSWORD_POLICY_TOO_LONG

      Password must be at most {0} characters long.
      See Also:
        Constant Field Values

    - #### CONFIGURABLE_PASSWORD_POLICY_TOO_SHORT

          public static final String CONFIGURABLE_PASSWORD_POLICY_TOO_SHORT

      Password must be at least {0} characters long.
      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD_POLICY_ERROR_MESSAGE

          public static final String DEFAULT_PASSWORD_POLICY_ERROR_MESSAGE

      The password should be built up of 6 to 64 characters and must not contain spaces.
      See Also:
        Constant Field Values

    - #### ACTIONS

          public static final String ACTIONS

      Actions
      See Also:
        Constant Field Values

    - #### ASC

          public static final String ASC

      ascending
      See Also:
        Constant Field Values

    - #### BACK

          public static final String BACK

      Back
      See Also:
        Constant Field Values

    - #### BACKGROUND_TASK_ERROR

          public static final String BACKGROUND_TASK_ERROR

      Error while executing background task ''{0}'' (ID: {1}), please contact your administrator.
      See Also:
        Constant Field Values

    - #### BACKGROUND_TASK_FINISHED

          public static final String BACKGROUND_TASK_FINISHED

      Background task ''{0}'' finished.
      See Also:
        Constant Field Values

    - #### BACKGROUND_TASK_STARTED

          public static final String BACKGROUND_TASK_STARTED

      Background task ''{0}'' started.
      See Also:
        Constant Field Values

    - #### CANCEL

          public static final String CANCEL

      Reset
      See Also:
        Constant Field Values

    - #### CHANGE_PASSWORD

          public static final String CHANGE_PASSWORD

      Change password
      See Also:
        Constant Field Values

    - #### CLOSE

          public static final String CLOSE

      close
      See Also:
        Constant Field Values

    - #### COPY_CLIPBOARD

          public static final String COPY_CLIPBOARD

      Copy to clipboard
      See Also:
        Constant Field Values

    - #### DATA_SORT

          public static final String DATA_SORT

      Sort
      See Also:
        Constant Field Values

    - #### DELETE

          public static final String DELETE

      Delete
      See Also:
        Constant Field Values

    - #### DESC

          public static final String DESC

      descending
      See Also:
        Constant Field Values

    - #### EDIT

          public static final String EDIT

      Edit
      See Also:
        Constant Field Values

    - #### FALSE

          public static final String FALSE

      no
      See Also:
        Constant Field Values

    - #### FILTER_RESET

          public static final String FILTER_RESET

      Reset
      See Also:
        Constant Field Values

    - #### FILTER_SUBMIT

          public static final String FILTER_SUBMIT

      Apply
      See Also:
        Constant Field Values

    - #### FILTER_TITLE

          public static final String FILTER_TITLE

      Filter
      See Also:
        Constant Field Values

    - #### FORGOT_PASSWORD

          public static final String FORGOT_PASSWORD

      Forgot password?
      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final String INTERNAL_ERROR

      An internal error occured (ID: {0}), please contact your administrator.
      See Also:
        Constant Field Values

    - #### INVALID_DATE

          public static final String INVALID_DATE

      Please enter a valid date
      See Also:
        Constant Field Values

    - #### INVALID_DIGIT

          public static final String INVALID_DIGIT

      Please enter a valid digit
      See Also:
        Constant Field Values

    - #### INVALID_FORMAT

          public static final String INVALID_FORMAT

      Please use this format: {0}
      See Also:
        Constant Field Values

    - #### INVALID_INPUT

          public static final String INVALID_INPUT

      Invalid input
      See Also:
        Constant Field Values

    - #### INVALID_INTEGER

          public static final String INVALID_INTEGER

      Please enter a valid integer
      See Also:
        Constant Field Values

    - #### LABEL_CHUNK_SIZE

          public static final String LABEL_CHUNK_SIZE

      Items per Page
      See Also:
        Constant Field Values

    - #### LABEL_FIRST

          public static final String LABEL_FIRST

      first
      See Also:
        Constant Field Values

    - #### LABEL_LAST

          public static final String LABEL_LAST

      last
      See Also:
        Constant Field Values

    - #### LABEL_NEXT

          public static final String LABEL_NEXT

      next
      See Also:
        Constant Field Values

    - #### LABEL_NODATA

          public static final String LABEL_NODATA

      No data present.
      See Also:
        Constant Field Values

    - #### LABEL_OF

          public static final String LABEL_OF

      of
      See Also:
        Constant Field Values

    - #### LABEL_PREVIOUS

          public static final String LABEL_PREVIOUS

      previous
      See Also:
        Constant Field Values

    - #### LOGGED_IN

          public static final String LOGGED_IN

      Logged in as
      See Also:
        Constant Field Values

    - #### LOGIN

          public static final String LOGIN

      Login
      See Also:
        Constant Field Values

    - #### LOGON

          public static final String LOGON

      Login
      See Also:
        Constant Field Values

    - #### LOGON_AGAIN

          public static final String LOGON_AGAIN

      Try again
      See Also:
        Constant Field Values

    - #### LOGOUT

          public static final String LOGOUT

      Logout
      See Also:
        Constant Field Values

    - #### NO

          public static final String NO

      No
      See Also:
        Constant Field Values

    - #### OLDPASSWORD

          public static final String OLDPASSWORD

      Old password
      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final String PASSWORD

      Password
      See Also:
        Constant Field Values

    - #### PREVIEW_TEXT

          public static final String PREVIEW_TEXT

      XML preview
      See Also:
        Constant Field Values

    - #### REPOSITORY_ERROR_SIGN

          public static final String REPOSITORY_ERROR_SIGN

      Error while signing repository {0}
      See Also:
        Constant Field Values

    - #### REPOSITORY_ERROR_VERIFY

          public static final String REPOSITORY_ERROR_VERIFY

      Error while verifying repository {0}
      See Also:
        Constant Field Values

    - #### RESET

          public static final String RESET

      Reset
      See Also:
        Constant Field Values

    - #### RESET_PASSWORD

          public static final String RESET_PASSWORD

      Reset password
      See Also:
        Constant Field Values

    - #### SAVE

          public static final String SAVE

      Save
      See Also:
        Constant Field Values

    - #### SELECT

          public static final String SELECT

      choose
      See Also:
        Constant Field Values

    - #### SITE_DOMAIN_EXISTS

          public static final String SITE_DOMAIN_EXISTS

      A different site uses domain ''{0}'' already!
      See Also:
        Constant Field Values

    - #### SITE_HOST_IN_USE

          public static final String SITE_HOST_IN_USE

      Hostname ''{0}'' is already used as hostname or alias by site ''{1}''!
      See Also:
        Constant Field Values

    - #### SITE_HOSTALIAS_IN_USE

          public static final String SITE_HOSTALIAS_IN_USE

      The following aliases are used as hostname or alias by site ''{0}'': {1}
      See Also:
        Constant Field Values

    - #### SITE_NAME_EXISTS

          public static final String SITE_NAME_EXISTS

      A different site named ''{0}'' already exists!
      See Also:
        Constant Field Values

    - #### SUBMIT

          public static final String SUBMIT

      Submit
      See Also:
        Constant Field Values

    - #### TRUE

          public static final String TRUE

      yes
      See Also:
        Constant Field Values

    - #### USER_EDIT

          public static final String USER_EDIT

      Edit profile
      See Also:
        Constant Field Values

    - #### USERNAME

          public static final String USERNAME

      User
      See Also:
        Constant Field Values

    - #### VALIDATION_DOMAIN

          public static final String VALIDATION_DOMAIN

      Please enter a valid domain (examples: http://www.example.com example.com localhost:8080)
      See Also:
        Constant Field Values

    - #### VALIDATION_HOST

          public static final String VALIDATION_HOST

      Please enter a valid host (examples: localhost example.com some.example.com)
      See Also:
        Constant Field Values

    - #### VALIDATION_NAME

          public static final String VALIDATION_NAME

      Please enter a valid name, which may only consist of letters, numbers, spaces, dots, underscores and hyphens
      See Also:
        Constant Field Values

    - #### VALIDATION_NAME_STRICT

          public static final String VALIDATION_NAME_STRICT

      Please enter a valid name, which may only consist of letters, numbers and hyphens
      See Also:
        Constant Field Values

    - #### VALIDATION_PERMISSION

          public static final String VALIDATION_PERMISSION

      Please enter a valid name, which may only consist of letters, numbers, dots and hyphens
      See Also:
        Constant Field Values

    - #### VALIDATION_USERNAME

          public static final String VALIDATION_USERNAME

      The name must either be a valid e-mail address, or consist of letters, digits, dots, underscores and hyphens
      See Also:
        Constant Field Values

    - #### VALIDATION_USERNAME_GROUP

          public static final String VALIDATION_USERNAME_GROUP

      The name must either be a valid e-mail address, or consist of letters, digits, dots, underscores and hyphens or a valid LDAP group reference
      See Also:
        Constant Field Values

    - #### YES

          public static final String YES

      Yes
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MessageConstants

          public MessageConstants()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.